How to download incompatible iOS Apps to an older iPhone

We have an iPhone 4 that we love. It is running iOS 7.  But there are some apps that you cannot download to iOS7.  If you try to download them from the App store you get this message:

To get around this, you need an older version of the app. But Apple don’t give you the option of installing older versions. To get around this and find an older version, you firstly need to download the newer version of App into iTunes on your computer.

Then when you go to your iPhone and find the app in the App Store, you will get the option to download the older version:

SUMMARY: You cannot download older versions of Apps directly to your iPhone, but if you download a newer version to iTunes first, then you can access an older version from your iPhone.

NOTE: You need iTunes 12.6 to access the App store to do this. It won’t work in iTunes 12.7.

See this article for how to downgrade to iTunes 12.6.

I keep one laptop with 12.6 for this purpose. The rest are running iTunes 12.7.

 

Comments

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Exit mobile version